> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/rtb/es/editores/exoclick-rtb/bid-request.md).

# Solicitud de puja RTB de ExoClick

La solicitud de puja RTB de ExoClick se realiza usando JSON para POST y una URL para GET. Las solicitudes XML no están permitidas para POST.

## Encabezados de la solicitud de puja

* **Encabezado HTTP de la versión RTB de ExoClick**: `x-exadsrtb-version: 1.0`
* **Encabezado HTTP Keep-Alive**: `Connection: Keep-Alive`
* **Contenido JSON**: `Content-Type: application/json`
* **Encabezado de codificación de datos**: `Accept-Encoding`

### Objeto de solicitud de puja

| Atributo          | ¿Requerido?               | Descripción                                                                                                                                                                                      |
| ----------------- | ------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `id`              | Sí                        | ID único de la solicitud de puja (string)                                                                                                                                                        |
| `ip`              | Sí                        | Dirección IP del usuario (cadena)                                                                                                                                                                |
| `language`        | Sí                        | Idioma del navegador usando ISO-639-1-alpha-2 (string)                                                                                                                                           |
| `remove_addr`     | No                        | Dirección IP principal del usuario (string)                                                                                                                                                      |
| `x_forwarded_for` | No                        | Dirección IP X-FORWARDED-FOR del usuario o vacío si no está configurada (string)                                                                                                                 |
| `type`            | Sí                        | Tipo de solicitud. Puede ser “banner”, “popunder”, "direct\_link", "email\_click"\*, “push\_notification” o "in\_page\_push\_notification" (cadena)                                              |
| `ua`              | Sí                        | Agente de usuario del navegador (string)                                                                                                                                                         |
| `url`             | Sí                        | URL completa de la página donde se mostrará el anuncio (string)                                                                                                                                  |
| `user_id`         | Sí                        | ID único de usuario (string)                                                                                                                                                                     |
| `sub`             | No                        | Debe ser un número de entre seis y diez dígitos: no use ceros al principio de los Sub IDs.                                                                                                       |
| `export`          | Sí                        | Tipo de respuesta. Puede ser "json" o "xml" (cadena)                                                                                                                                             |
| `keyword`         | No                        | Las palabras clave pueden utilizarse para asegurar que las zonas publicitarias obtengan el tipo de publicidad correcto. Las palabras clave deben ser una cadena de palabras separadas por comas. |
| `size`            | Requerido para banner\*\* | Tamaño del tipo de anuncio del editor (cadena)                                                                                                                                                   |
| `el`              | No                        | Correo electrónico codificado en Base64. Disponible solo para Email Clicks y Direct Link (cadena)                                                                                                |

***

**Notas:**

* `"email_click"` como tipo solo debe especificarse en solicitudes GET.
* En las solicitudes Push, si se omite size, el valor predeterminado será `192x192` por compatibilidad con versiones anteriores.
* Los Sub IDs deben ser un número entre 1 y [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32.maxvalue?view=net-5.0): No use ceros al principio de los Sub IDs.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/rtb/es/editores/exoclick-rtb/bid-request.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
